### Function

# Camel cipher_canonical_to_stream

#### Declaration [src]

    gint
    camel_cipher_canonical_to_stream (
      CamelMimePart* part,
      guint32 flags,
      CamelStream* ostream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Writes a part to a stream in a canonicalised format, suitable for signing/encrypting.

The transfer encoding paramaters for the part may be changed by this function.

#### Parameters

`part`

  Type: `CamelMimePart`

  Part to write.

  The data is owned by the caller of the function.

`flags`

  Type: `guint32`

  Flags for the canonicalisation filter (CamelMimeFilterCanon).

`ostream`

  Type: `CamelStream`

  Stream to write canonicalised output to.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

-1 on error;.